You are currently viewing Adobe Critical Security Updates December 2021

Adobe Critical Security Updates December 2021

Adobe has released security updates providing fixes for 28 critical vulnerabilities in Adobe After Effects, Premiere Pro, Photoshop, etc. A total of 60 security vulnerabilities have been patched in this release. Most of these vulnerabilities could lead to arbitrary code execution on successful exploitation. These flaws mainly affect Windows and macOS platforms.

Adobe Premiere Rush received fixes for 11 critical vulnerabilities. Adobe Experience Manager received fixes for 6 critical vulnerabilities. Adobe Dimension received fixes for 3 critical vulnerabilities. Adobe Media Encounter, Adobe After Effects, and Adobe Photoshop received fixes for two critical vulnerabilities. Adobe Prelude and Adobe Premiere Pro received fixes for one critical vulnerability each.


Adobe Security Bulletin Summary for December 2021

Product: Adobe Premiere Rush
Advisory/CVEs: APSB21-101
Severity: Critical and Important
Affected Version: 1.5.16 and earlier versions
Impact: Arbitrary code execution, Application denial-of-service, and Privilege escalation


Product: Adobe Experience Manager
Advisory/CVEs: APSB21-103
Severity: Critical and Important
Affected Version: AEM Cloud Service (CS), 6.5.10.0 and earlier versions
Impact: Arbitrary code execution and Security feature bypass


Product: Adobe Connect
Advisory/CVEs: APSB21-112
Severity:  Important
Affected Version: 11.3 and earlier versions
Impact: Arbitrary file system write


Product: Adobe Photoshop
Advisory/CVEs: APSB21-113
Severity:  Critical and Important
Affected Version: Photoshop 2021 – 22.5.3 and earlier version, Photoshop 2022 – 23.0.2 and earlier versions
Impact: Arbitrary code execution and Memory leak


Product: Adobe Prelude
Advisory/CVEs: APSB21-114
Severity:  Critical and Important
Affected Version: 22.0  and earlier versions
Impact: Arbitrary code execution and Privilege escalation


Product: Adobe After Effects
Advisory/CVEs: APSB21-115
Severity:  Critical, Important, and Moderate
Affected Version: Adobe After Effects – 22.0 and  earlier versions, Adobe After Effects – 18.4.2 and earlier versions
Impact: Arbitrary code execution and Privilege escalation


Product: Adobe  Dimension
Advisory/CVEs: APSB21-116
Severity:  Critical, Important, and Moderate
Affected Version: 3.4.3 and earlier versions
Impact: Arbitrary code execution and Privilege escalation


Product: Adobe Premiere Pro
Advisory/CVEs: APSB21-117
Severity:  Critical and Moderate
Affected Version: Adobe Premiere Pro – 22.0 and earlier versions, Adobe Premiere Pro – 15.4.2 and earlier versions
Impact: Arbitrary code execution and Privilege escalation


Product: Adobe Media Encoder
Advisory/CVEs: APSB21-118
Severity:  Critical and Moderate
Affected Version: Adobe Media Encoder – 22.0 and earlier versions, Adobe Media Encoder – 15.4.2 and earlier versions
Impact: Arbitrary code execution and Privilege escalation


Product: Adobe Lightroom
Advisory/CVEs: APSB21-119
Severity:  Important
Affected Version: 4.4 and earlier versions
Impact: Privelege escalation


Product: Adobe Audition
Advisory/CVEs: APSB21-121
Severity:  Moderate
Affected Version: Adobe Audition – 22.0 and earlier versions, Adobe Audition – 14.4 and earlier versions
Impact: Privelege escalation


SanerNow VM detects these vulnerabilities. Use SanerNow and keep your systems updated and secure.

Subscribe For More Posts Like This

Get the latest research, best practices, industry trends and cybersecurity blogs from SecPod security experts

Invalid email address
We promise not to spam you. You can unsubscribe at any time.
0 0 votes
Article Rating
Subscribe
Notify of
0 Comments
Inline Feedbacks
View all comments